Subject: [Sedate] Benjamin Kaduk's No Objection on charter-ietf-sedate-00-05: (with COMMENT)

From: Benjamin Kaduk via Datatracker <[email-masked]>
Date: Wed, 30 Jun 2021 23:27:31 -0700

Benjamin Kaduk has entered the following ballot position for
charter-ietf-sedate-00-05: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/charter-ietf-sedate/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

My fellow ADs seem to have already covered the main points, so I don't have much to add.

I see we got a "text format" to describe the contextual data, but perhaps we should
also describe the existing RFC 3339 format as a "text format" for clarity.

It probably goes without saying that we don't expect systems that don't understand the
added contextual fields to be able to "reliably extract the instant in time" for instants
in time that are not actually representable in the RFC 3339 format (and would, e.g., require
more than four year digits).

As a nit, I might s/serialisation text/text serialisation/

I am not sure whether the question needs to be settled now vs at some hypothetical future
rechartering event, but the concerns raised earlier about the need to pay 336 CHF for access to
(current) versions of ISO 8601 seem like they would come into play if the potential for
a 3339bis solidifies.